PtexReader::Level Class Reference

`#include <PtexReader.h>`

## Public Member Functions

| Level (int nfaces)
| ~Level ()
size_t | memUsed ()

## Public Attributes

std::vector< FaceDataHeader > | fdh
std::vector< FilePos > | offsets
std::vector< FaceData * > | faces

## Detailed Description

Definition at line 520 of file PtexReader.h.

## Constructor & Destructor Documentation

## Level()

PtexReader::Level::Level | ( | int | nfaces | ) |

inline

Definition at line 526 of file PtexReader.h.

## ~Level()

PtexReader::Level::~Level | ( |  | ) |

inline

Definition at line 531 of file PtexReader.h.

References faces.

## Member Function Documentation

## memUsed()

size_t PtexReader::Level::memUsed | ( |  | ) |

inline

Definition at line 537 of file PtexReader.h.

References faces, fdh, and offsets.

Referenced by PtexReader::readLevel().

## Member Data Documentation

## faces

std::vector<FaceData*> PtexReader::Level::faces

Definition at line 524 of file PtexReader.h.

Referenced by PtexReader::getData(), PtexReader::getFace(), memUsed(), PtexReader::readFace(), and ~Level().

## fdh

std::vector<FaceDataHeader> PtexReader::Level::fdh

Definition at line 522 of file PtexReader.h.

Referenced by memUsed(), PtexReader::readFace(), and PtexReader::readLevel().

## offsets

std::vector<FilePos> PtexReader::Level::offsets

Definition at line 523 of file PtexReader.h.

Referenced by memUsed(), PtexReader::readFace(), and PtexReader::readLevel().

The documentation for this class was generated from the following file:

- PtexReader.h